﻿@model neew.Models.BookPic
@{
    Layout = "~/Views/Layout/_LayoutPage1.cshtml";
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Pic</title>
</head>
<body>
    @using (Html.BeginForm("Pic", "Home", FormMethod.Post, new
{
    enctype = "multipart/form-data"
}))
    {
        <h5>لطفا تصویر را انتخاب کنید</h5>
        <div>
            <img id="user_img"
                 height="100"
                 width="90"
                 style="border:solid" />
        </div>
        <div>
            <input type="file" title="search image" id="file" name="file" onchange="show(this)" />
        </div>

        <div>
            نام
        </div>
        <div>
            <input type="text"
                   id="txt_name"
                   name="Name" />
        </div>
        <div>
            @*@Html.ActionLink("افزودن ", "Pic", new { File=Model.Image,Fc=Model.name})*@
            <input type="submit" title="save" value="ذخیره" />
        </div>
        if (!String.IsNullOrEmpty(ViewBag.OK))
        {
            <div class="alert-success">
                @ViewBag.OK
            </div>
        }
    }
    <div>
        <img id="user_img"
             height="100"
             width="90"
             style="border:solid" />
    </div>
    <div>
        <input type="file" title="search image" id="file" name="file" onchange="show(this)" />
    </div>

    <script type="text/javascript">
        function show(input) {
            if (input.files && input.files[0]) {
                var filerdr = new FileReader();
                filerdr.onload = function (e) {
                    $('#user_img').attr('src', e.target.result);
                }
                filerdr.readAsDataURL(input.files[0]);
            }
        }
    </script>
</body>
</html>
